Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Plugin Development Environment (PDE) » Is it possible to auto-install plugin dependencies?(Problem with installing some plugins due to lack of package dependencies)
Is it possible to auto-install plugin dependencies? [message #1818886] Tue, 31 December 2019 16:30 Go to next message
Yue Yang is currently offline Yue YangFriend
Messages: 5
Registered: December 2019
Junior Member
Some plugins require certain java packages to be present in order to install successfully and function normally. And sometimes I just don't know which additional plugin to install in order to provide with the java packages needed. There stands only a little chance to install the correct plugins with the correct packages by accident. Any ideas to quickly find out package providers to choose from and avoid installing the wrong plugins and packages that do not contain the desired packages at all?

[Updated on: Tue, 31 December 2019 16:36]

Report message to a moderator

Re: Is it possible to auto-install plugin dependencies? [message #1823406 is a reply to message #1818886] Thu, 26 March 2020 08:35 Go to previous messageGo to next message
Yue Yang is currently offline Yue YangFriend
Messages: 5
Registered: December 2019
Junior Member
Well, I have noticed that in "Install New Software" window there's an option "Contact all update sites during install to find required software" to check which may help. This is expected to work but actually doesn't seem to solve the problem. On the contrary, it retards the installation of a new software if you have a long sheet of update sites, some of which's connection is terribly and painfully low.
Re: Is it possible to auto-install plugin dependencies? [message #1823926 is a reply to message #1823406] Sat, 04 April 2020 00:39 Go to previous message
Nitin Dahyabhai is currently offline Nitin DahyabhaiFriend
Messages: 3829
Registered: July 2009
Senior Member

You can disable the slower sites in your preferences, but you will need one enabled that provides a plug-in exporting the packages you're referring to.

Nitin Dahyabhai
Eclipse Web Tools Platform

[Updated on: Sat, 04 April 2020 00:40]

Report message to a moderator

Previous Topic:Tycho build fails using version 1.4.0
Next Topic:Missing dependency while product export
Goto Forum:
  


Current Time: Sat Sep 19 13:22:32 GMT 2020

Powered by FUDForum. Page generated in 0.02150 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top